Page MenuHomePhabricator

LangLinkHandler must filter language by site group
Closed, ResolvedPublic

Description

The LangLinkHandler is the class that puts site links from wikidata into the sidebar as language links. This should only include links in the wiki's own site group (or in a configurable set of site groups), so that in wikipedia's side bar, there are only links to wikipedias in other languages, not links to sister projects that have pages about the same item.

This is currently not the case, the sidebar will contain links from all site groups.


Version: unspecified
Severity: blocker

Details

Reference
bz50478

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 1:54 AM
bzimport set Reference to bz50478.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Jun 30 2013, 8:21 PM
daniel added a comment.Jul 1 2013, 8:18 AM

Fix pending review: Icfd832ac4a36c463eece

hoo added a comment.Jul 3 2013, 7:37 PM

Change merged

Change 71302 merged by jenkins-bot:
(bug 50478) Filter langlinks by site group.

https://gerrit.wikimedia.org/r/71302

Verified in Wikidata demo time July 17th

Change 75368 had a related patch set uploaded by Aude:
(bug 50478) Filter langlinks by site group.

https://gerrit.wikimedia.org/r/75368

Change 75368 merged by Hoo man:
(bug 50478) Filter langlinks by site group.

https://gerrit.wikimedia.org/r/75368